| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class Receiver

    java.lang.Object
      |
      +--Receiver

Direct Known Subclasses:
  NoReceiver

public class Receiver
extends java.lang.Object

Field Summary
`private Expr` | `expr`
`private NoReceiver` | `noreceiver`

Constructor Summary
`Receiver()`

Method Summary
`java.lang.String` | `get_Type()`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `set_Expr(Expr express)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expr

    private Expr expr

### noreceiver

    private NoReceiver noreceiver

Constructor Detail

### Receiver

    public Receiver()

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

    `SCStatementException`

### get_Type

    public java.lang.String get_Type()

### set_Expr

    public void set_Expr(Expr express)

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD